<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/item_all"
    android:orientation="horizontal"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_weight="2"
        android:layout_height="wrap_content">

        <!--可以点击的自选-->
        <RelativeLayout
            android:layout_width="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:paddingEnd="6dp"
            android:paddingStart="1dp"
            android:id="@+id/id_choose"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_height="0dp">
            <ImageView
                android:visibility="gone"
                android:layout_width="16dp"
                android:src="@mipmap/rma_choose"
                android:layout_marginTop="16dp"
                android:id="@+id/id_is_choose"
                android:layout_marginStart="10dp"
                android:layout_height="16dp" />
        </RelativeLayout>
        <!--商品-->
        <TextView
            android:layout_width="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            android:text="铁矿石2105111111111111"
            android:layout_marginTop="15dp"
            android:ellipsize="marquee"
            android:id="@+id/id_goods_name"
            app:layout_constraintStart_toEndOf="@+id/id_choose"
            android:layout_height="wrap_content"
            android:singleLine="true" />
        <!--商品代码-->
        <TextView
            android:layout_width="0dp"
            app:layout_constraintTop_toBottomOf="@+id/id_goods_name"
            android:text="I2105"
            android:id="@+id/id_goods_code"
            style="@style/ListTextStyle"
            app:layout_constraintStart_toEndOf="@+id/id_choose"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginBottom="15dp"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_weight="3"
        android:layout_gravity="center_vertical"
        android:layout_height="wrap_content">

        <!--    价格-->
        <TextView
            android:layout_width="0dp"
            android:id="@+id/id_price"
            app:layout_constraintTop_toTopOf="parent"
            style="@style/ListTextStyle"
            android:gravity="end"
            android:text="价格"
            android:paddingEnd="8dp"
            android:paddingStart="0dp"
            android:layout_marginStart="10dp"
            android:paddingTop="3dp"
            android:paddingBottom="3dp"
            app:layout_constraintEnd_toStartOf="@+id/id_up_down"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_height="wrap_content"/>
        <!--涨跌-->
        <TextView
            android:layout_width="0dp"
            android:id="@+id/id_up_down"
            android:gravity="end"
            android:text="涨跌"
            android:paddingEnd="8dp"
            android:layout_marginStart="10dp"
            android:paddingStart="0dp"
            android:paddingTop="3dp"
            android:paddingBottom="3dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/id_price"
            app:layout_constraintEnd_toStartOf="@+id/id_hold_total"
            android:layout_height="wrap_content"/>

        <!--    持仓量-->
        <TextView
            android:layout_width="0dp"
            android:gravity="end"
            android:id="@+id/id_hold_total"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/id_up_down"
            android:layout_marginEnd="15dp"
            android:text="持仓量"
            style="@style/ListTextStyle"
            android:layout_height="wrap_content"/>
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.appcompat.widget.LinearLayoutCompat>